> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trending Search List

> To query trending search coins, NFTs and categories on CoinGecko in the last 24 hours

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Default results:
  * Top 15 trending coins (by most popular searches)
  * Top 7 trending NFTs (by highest floor price change %)
  * Top 5 trending categories (by most popular searches)

<CacheInfo rate="10 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.search.trending.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.search.trending.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /search/trending
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /search/trending:
    get:
      summary: Trending Search List
      description: >-
        To query trending search coins, NFTs and categories on CoinGecko in the
        last 24 hours
      operationId: trending-search
      responses:
        '200':
          description: Trending search coins, NFTs and categories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrendingSearch'
              example:
                coins:
                  - item:
                      id: bonk
                      coin_id: 28600
                      name: Bonk
                      symbol: BONK
                      market_cap_rank: 103
                      thumb: >-
                        https://coin-images.coingecko.com/coins/images/28600/standard/bonk.jpg?1696527587
                      small: >-
                        https://coin-images.coingecko.com/coins/images/28600/small/bonk.jpg?1696527587
                      large: >-
                        https://coin-images.coingecko.com/coins/images/28600/large/bonk.jpg?1696527587
                      slug: bonk
                      price_btc: 7.821066970851871e-11
                      score: 0
                      data:
                        price: 0.000005938674704566297
                        price_btc: '0.00000000007821066970851871'
                        price_change_percentage_24h:
                          usd: -3.2712597351582655
                          btc: -1.2567575303632434
                        market_cap: $521,967,819
                        market_cap_btc: '6883.418982779206'
                        total_volume: $31,701,707
                        total_volume_btc: '417.50253280497'
                        sparkline: https://www.coingecko.com/coins/28600/sparkline.svg
                        content: null
                nfts:
                  - id: beeple-everydays-the-2020-collection
                    name: 'BEEPLE: EVERYDAYS - THE 2020 COLLECTION'
                    symbol: BEEPLE2
                    thumb: >-
                      https://coin-images.coingecko.com/nft_contracts/images/1327/standard/beeple-everydays-the-2020-collection.jpg?1707287783
                    nft_contract_id: 1327
                    native_currency_symbol: eth
                    floor_price_in_native_currency: 6.98
                    floor_price_24h_percentage_change: 8.231790820932737
                    data:
                      floor_price: 6.98 ETH
                      floor_price_in_usd_24h_percentage_change: '8.231790820932737'
                      h24_volume: 6.10 ETH
                      h24_average_sale_price: 6.10 ETH
                      sparkline: https://www.coingecko.com/nft/1327/sparkline.svg
                      content: null
                categories:
                  - id: 102120809
                    name: Base Native
                    top_3_coins_images:
                      - >-
                        https://assets.coingecko.com/coins/images/40008/small/USR_LOGO.png?1725222638
                      - >-
                        https://assets.coingecko.com/coins/images/13187/small/7739.png?1696512969
                      - >-
                        https://assets.coingecko.com/coins/images/70556/small/elizaOS_token_logo_high_quality.png?1763494093
                    market_cap_1h_change: 0.1591461077485745
                    slug: base-native
                    coins_count: '573'
                    data:
                      market_cap: 117316549202.14426
                      market_cap_btc: 1545658.5276991604
                      total_volume: 16971131961.734743
                      total_volume_btc: 223596.5430262045
                      market_cap_change_percentage_24h:
                        usd: 0.14714515711689605
                        btc: 1.5918443786835867
                      sparkline: >-
                        https://www.coingecko.com/categories/102120809/sparkline.svg
components:
  schemas:
    TrendingSearch:
      type: object
      required:
        - coins
        - nfts
        - categories
      properties:
        coins:
          type: array
          items:
            type: object
            required:
              - item
            properties:
              item:
                type: object
                required:
                  - id
                  - coin_id
                  - name
                  - symbol
                  - market_cap_rank
                  - thumb
                  - small
                  - large
                  - slug
                  - price_btc
                  - score
                  - data
                properties:
                  id:
                    type: string
                    description: Coin ID
                  coin_id:
                    type: integer
                    description: Coin internal ID
                  name:
                    type: string
                    description: Coin name
                  symbol:
                    type: string
                    description: Coin symbol
                  market_cap_rank:
                    type: integer
                    description: Coin market cap rank
                  thumb:
                    type: string
                    description: Coin thumb image URL
                  small:
                    type: string
                    description: Coin small image URL
                  large:
                    type: string
                    description: Coin large image URL
                  slug:
                    type: string
                    description: Coin web slug
                  price_btc:
                    type: number
                    description: Coin price in BTC
                  score:
                    type: integer
                    description: Coin trending rank (0-based)
                  data:
                    type: object
                    required:
                      - price
                      - price_btc
                      - price_change_percentage_24h
                      - market_cap
                      - market_cap_btc
                      - total_volume
                      - total_volume_btc
                      - sparkline
                      - content
                    properties:
                      price:
                        type: number
                        description: Coin price in USD
                      price_btc:
                        type: string
                        description: Coin price in BTC
                      price_change_percentage_24h:
                        type: object
                        description: Coin price change percentage in 24 hours by currency
                        additionalProperties:
                          type: number
                      market_cap:
                        type: string
                        description: Coin market cap in USD
                      market_cap_btc:
                        type: string
                        description: Coin market cap in BTC
                      total_volume:
                        type: string
                        description: Coin total volume in USD
                      total_volume_btc:
                        type: string
                        description: Coin total volume in BTC
                      sparkline:
                        type: string
                        description: Coin sparkline image URL
                      content:
                        type: object
                        nullable: true
                        properties:
                          title:
                            type: string
                          description:
                            type: string
        nfts:
          type: array
          items:
            type: object
            required:
              - id
              - name
              - symbol
              - thumb
              - nft_contract_id
              - native_currency_symbol
              - floor_price_in_native_currency
              - floor_price_24h_percentage_change
              - data
            properties:
              id:
                type: string
                description: NFT collection ID
              name:
                type: string
                description: NFT collection name
              symbol:
                type: string
                description: NFT collection symbol
              thumb:
                type: string
                description: NFT collection thumb image URL
              nft_contract_id:
                type: integer
                description: NFT contract internal ID
              native_currency_symbol:
                type: string
                description: NFT collection native currency symbol
              floor_price_in_native_currency:
                type: number
                description: NFT collection floor price in native currency
              floor_price_24h_percentage_change:
                type: number
                description: NFT collection floor price 24 hours percentage change
              data:
                type: object
                required:
                  - floor_price
                  - floor_price_in_usd_24h_percentage_change
                  - h24_volume
                  - h24_average_sale_price
                  - sparkline
                  - content
                properties:
                  floor_price:
                    type: string
                    description: NFT collection floor price
                  floor_price_in_usd_24h_percentage_change:
                    type: string
                    description: >-
                      NFT collection floor price in USD 24 hours percentage
                      change
                  h24_volume:
                    type: string
                    description: NFT collection volume in 24 hours
                  h24_average_sale_price:
                    type: string
                    description: NFT collection 24 hours average sale price
                  sparkline:
                    type: string
                    description: NFT collection sparkline image URL
                  content:
                    type: object
                    nullable: true
                    properties:
                      title:
                        type: string
                      description:
                        type: string
        categories:
          type: array
          items:
            type: object
            required:
              - id
              - name
              - top_3_coins_images
              - market_cap_1h_change
              - slug
              - coins_count
              - data
            properties:
              id:
                type: integer
                description: Category ID
              name:
                type: string
                description: Category name
              top_3_coins_images:
                type: array
                description: Top 3 coins image URLs in the category
                items:
                  type: string
              market_cap_1h_change:
                type: number
                description: Category market cap 1 hour change
              slug:
                type: string
                description: Category web slug
              coins_count:
                type: string
                description: Number of coins in the category
              data:
                type: object
                required:
                  - market_cap
                  - market_cap_btc
                  - total_volume
                  - total_volume_btc
                  - market_cap_change_percentage_24h
                  - sparkline
                properties:
                  market_cap:
                    type: number
                    description: Category market cap
                  market_cap_btc:
                    type: number
                    description: Category market cap in BTC
                  total_volume:
                    type: number
                    description: Category total volume
                  total_volume_btc:
                    type: number
                    description: Category total volume in BTC
                  market_cap_change_percentage_24h:
                    type: object
                    description: >-
                      Category market cap change percentage in 24 hours by
                      currency
                    additionalProperties:
                      type: number
                  sparkline:
                    type: string
                    description: Category sparkline image URL
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````